6.0.0-git
2019-04-25

[#10864] Picture over SyncML gets broken on MoreData tag
Summary Picture over SyncML gets broken on MoreData tag
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester joniw (at) t-online (dot) de
Created 2011-12-14 (2689 days ago)
Due
Updated 2012-04-12 (2569 days ago)
Assigned 2012-04-05 (2576 days ago)
Resolved 2012-04-12 (2569 days ago)
Milestone
Patch No

History
2012-04-12 22:41:40 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (develop):

commit 626e2c753cfe248af05a1ae037298bf075678d77
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 12 18:28:01 2012 +0200

     [jan] Don't corrupt binary data like images if sent in several 
messages (Jonathan Westerholt <joniw@t-online.de>, Bug #10864).

  framework/SyncMl/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/626e2c753cfe248af05a1ae037298bf075678d77
2012-04-12 22:41:38 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (develop):

commit 5f723a701a66c96448d61f10dfd5d7efd5b0286b
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 12 18:25:44 2012 +0200

     Tweaks, style (Bug #10864).

  framework/SyncMl/lib/Horde/SyncMl/Command/Sync.php |   21 ++++++++++---------
  1 files changed, 11 insertions(+), 10 deletions(-)

http://git.horde.org/horde-git/-/commit/5f723a701a66c96448d61f10dfd5d7efd5b0286b
2012-04-12 22:41:35 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (develop):

commit 90d969ef7a9d6b65e99484ff188891bd40cfac15
Author: Jonathan Westerholt <joniw@t-online.de>
Date:   Sun Feb 26 04:18:09 2012 +0100

     Added trimming of the beginning of Data content to stop 
corruption of pictures

     Bug: 10864
     Signed-off-by: Jan Schneider <jan@horde.org>

  framework/SyncMl/lib/Horde/SyncMl/Command/Sync.php |   19 ++++++++++++++++---
  1 files changed, 16 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/90d969ef7a9d6b65e99484ff188891bd40cfac15
2012-04-12 16:28:27 Jan Schneider Comment #12
State ⇒ Resolved
Reply to this comment
Thanks!
2012-04-12 16:28:23 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 626e2c753cfe248af05a1ae037298bf075678d77
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 12 18:28:01 2012 +0200

     [jan] Don't corrupt binary data like images if sent in several 
messages (Jonathan Westerholt <joniw@t-online.de>, Bug #10864).

  framework/SyncMl/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/626e2c753cfe248af05a1ae037298bf075678d77
2012-04-12 16:28:20 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 5f723a701a66c96448d61f10dfd5d7efd5b0286b
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 12 18:25:44 2012 +0200

     Tweaks, style (Bug #10864).

  framework/SyncMl/lib/Horde/SyncMl/Command/Sync.php |   21 ++++++++++---------
  1 files changed, 11 insertions(+), 10 deletions(-)

http://git.horde.org/horde-git/-/commit/5f723a701a66c96448d61f10dfd5d7efd5b0286b
2012-04-12 16:28:16 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 90d969ef7a9d6b65e99484ff188891bd40cfac15
Author: Jonathan Westerholt <joniw@t-online.de>
Date:   Sun Feb 26 04:18:09 2012 +0100

     Added trimming of the beginning of Data content to stop 
corruption of pictures

     Bug: 10864
     Signed-off-by: Jan Schneider <jan@horde.org>

  framework/SyncMl/lib/Horde/SyncMl/Command/Sync.php |   19 ++++++++++++++++---
  1 files changed, 16 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/90d969ef7a9d6b65e99484ff188891bd40cfac15
2012-04-05 09:34:57 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2012-02-26 03:29:39 joniw (at) t-online (dot) de Comment #8
New Attachment: 0001-added-trimming-of-the-beginning-of-Data-content-to-s.patch Download
Reply to this comment
I just had some time to break the problem down. When the content of   
the sent xml is added to the saved content in the sync state there is 
an additional linebreak in the new content.

I created a patch which trims the linebreak if the current sync 
message is a successor of a message with the MoreData tag.

Now the pictures are not broken anymore when syncing.

with regards

Jonathan

2012-01-19 13:46:12 joniw (at) t-online (dot) de Comment #7 Reply to this comment
Are there any news about this?

with regards

Jonathan Westerholt

2011-12-19 15:26:35 Jan Schneider Comment #6 Reply to this comment
Yes, that's fine.
2011-12-19 15:08:17 joniw (at) t-online (dot) de Comment #5 Reply to this comment
Please read http://wiki.horde.org/SyncMLProblemReport and follow the 
steps to generate complete SyncML debugging information.
I now have the debug logs. I just do not want to post them here as it 
contains some private data. Should i send it directlto to you?

with regards

Jonathan Westerholt
2011-12-18 21:44:05 Jan Schneider Comment #4 Reply to this comment
Please read http://wiki.horde.org/SyncMLProblemReport and follow the 
steps to generate complete SyncML debugging information.
2011-12-18 21:22:11 joniw (at) t-online (dot) de Comment #3 Reply to this comment
Synching in which direction?
I just tried the sync from outlook to the server. I did not try the 
other direction because i fill the data from outlook.

2011-12-18 18:18:03 Jan Schneider Comment #2
Summary ⇒ Picture over SyncML gets broken on MoreData tag
State ⇒ Feedback
Reply to this comment
Synching in which direction?
2011-12-14 22:36:20 joniw (at) t-online (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ [SyncML] Picture over syncML gets broken on moredata tag
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
When syncing my contacts over syncml the picture gets broken if it the 
picture is interrupted with the <MoreData/> tag.

It seems that the rest of the picture is not appended to the beginning 
of the photo.

Saved Queries